# lines inserted by Centrify Direct Control (CentrifyDC 5.0.5-301)
auth       sufficient     pam_centrifydc.so
auth       requisite      pam_centrifydc.so deny
account    sufficient     pam_centrifydc.so
account    requisite      pam_centrifydc.so deny
session    required       pam_centrifydc.so homedir
password   sufficient     pam_centrifydc.so try_first_pass
password   requisite      pam_centrifydc.so deny
#
#####
# BIS - Lock the acount after X number of attempts.
#       The number of attempts is specified in the "deny=X"
#       parameter.
#
#       To check the number of failed login attempts use:-
#
#       /sbin/pam_tally2 -u <username>
#
#
#       To RESET the failed login count back to 0 (ZERO) use:-
#
#       /sbin/pam_tally2 -u <username> --reset
#
#
auth        required      pam_tally2.so deny=6 onerr=fail
account	    required      pam_tally2.so
#
#
auth        required      pam_env.so
auth        sufficient    pam_unix.so nullok try_first_pass
auth        requisite     pam_succeed_if.so uid >= 500 quiet
auth        required      pam_deny.so

account     required      pam_unix.so
account     sufficient    pam_succeed_if.so uid < 500 quiet
account     required      pam_permit.so

#
#####
#
# --------------------------------
# + Do not allow empty passwords.
#
# + Minimum length: 8 characters
#
# + Minimum number of lower case letters: 1
#
# + Minimum number of upper case letters: 1
#
# + Minimum number of numeric digits: 1
#
# + Minumum number of other characters: 0
#
# + Remember the last 8 passwords used.
#
# + At least 1(one) character different between the previous password
#
# + Change the encyption method from MD5 to SHA512.
#
#
#password    requisite     pam_cracklib.so try_first_pass retry=3
#password    sufficient    pam_unix.so md5 shadow nullok try_first_pass use_authtok
#
#
#
#####
# Andy 12-06-2012: Changed "difok" from 3 to 1 - this was a incorrect setting.
#
# Andy 10-01-2012: Changed the "credit" settings from "-1" to "1"
#
password    requisite     pam_cracklib.so try_first_pass retry=3 minclass=3  minlen=8 lcredit=1 ucredit=1 dcredit=1 ocredit=1 difok=1
#
password    sufficient    pam_unix.so sha512 shadow try_first_pass use_authtok remember=8 


#
password    required      pam_deny.so

session     optional      pam_keyinit.so revoke
session     required      pam_limits.so
session     [success=1 default=ignore] pam_succeed_if.so service in crond quiet use_uid
session     required      pam_unix.so
